cURL JavaScript Python Copy
curl "https://payday.direct/api/v1/payback/coins/MINT_ADDRESS" \
-H "Authorization: Bearer pd_YOUR_KEY" const res = await fetch("https://payday.direct/api/v1/payback/coins/MINT_ADDRESS", {
headers: { Authorization: "Bearer " + process.env.PAYDAY_KEY },
});
const json = await res.json();
if (!res.ok) throw new Error(json.error?.code);
console.log(json);import os, requests
r = requests.get(
"https://payday.direct/api/v1/payback/coins/MINT_ADDRESS",
headers={"Authorization": "Bearer " + os.environ["PAYDAY_KEY"]},
)
r.raise_for_status()
print(r.json())Response 200 Copy
{
"data" : {
"mint" : "3unDHbPUsLqQtoHgvuCsRSArnuhVjhsn11vRht5Xpump" ,
"symbol" : "Example" ,
"mode" : "cash_payback" ,
"pairing" : {
"mint" : "So11111111111111111111111111111111111111112" ,
"symbol" : "SOL"
},
"launched_at" : "2026-11-15T16:11:38.514Z" ,
"split" : {
"burn_pct" : 10 ,
"treasury_pct" : 5 ,
"dex_pct" : 70 ,
"holders_pct" : 15
},
"dev_share" : null ,
"pot" : [
{
"asset" : {
"mint" : "So11111111111111111111111111111111111111112" ,
"symbol" : "SOL"
},
"amount" : "0.011402" ,
"raw" : "11402000" ,
"usd" : "2.67" ,
"dev_amount" : "0"
}
],
"pot_usd" : "2.67" ,
"next_round" : {
"pays_at_usd" : "50.00" ,
"progress_pct" : 5.3 ,
"daily_at_usd" : "5.00" ,
"last_round_at" : "2026-11-15T19:25:14.126Z" ,
"daily_round_after" : "2026-11-16T19:25:14.126Z"
},
"dex" : {
"status" : "filling" ,
"target_usdc" : "299.00" ,
"held_usdc" : "199.55" ,
"sent_early_usdc" : "0.00" ,
"paid_usdc" : null ,
"sent_tx" : null ,
"launch_wallet" : "LaunchWa11et1111111111111111111111111111111" ,
"returns_to_holders_at" : "2026-11-22T16:11:38.520Z"
},
"totals" : {
"paid_to_holders_usd" : "57.49" ,
"rounds" : 3
},
"rounds" : [
{
"n" : 3 ,
"asset" : {
"mint" : "So11111111111111111111111111111111111111112" ,
"symbol" : "SOL"
},
"status" : "done" ,
"paid" : "0.045607" ,
"paid_usd" : "10.62" ,
"dev_paid" : "0" ,
"pot_usd" : "11.85" ,
"recipients" : 89 ,
"carried_over" : 80 ,
"holders" : 169 ,
"weighting" : "time-held" ,
"at" : "2026-11-15T19:25:14.126Z" ,
"done_at" : "2026-11-15T19:25:24.686Z"
}
],
"category" : "pairing" ,
"label" : "Holders" ,
"rewards" : {
"distributed_usd" : "57.49" ,
"rounds" : 3 ,
"holders_paid" : 168 ,
"last_distributed_at" : "2026-11-15T19:25:14.126Z" ,
"by_asset" : [
{
"asset" : {
"mint" : "So11111111111111111111111111111111111111112" ,
"symbol" : "SOL"
},
"amount" : "0.247415" ,
"usd" : "57.49" ,
"rounds" : 3 ,
"last_at" : "2026-11-15T19:25:14.126Z"
}
]
}
},
"meta" : {
"updated_at" : "2026-11-15T20:03:20.991Z" ,
"api_version" : "v1"
}
}